package com.ruoyi.ems.model;

import com.huashe.common.annotation.Excel;

/**
 * 用电导出VO
 */
public class ElecConsumptionExportVO {

    /** 对象名称 */
    @Excel(name = "对象名称")
    private String objName;

    /** 统计时间 */
    @Excel(name = "统计时间")
    private String statisticTime;

    /** 总用电量 */
    @Excel(name = "总用电量(kWh)")
    private String totalElecQuantity;

    /** 尖峰电量 */
    @Excel(name = "尖峰电量(kWh)")
    private String sharpPeakQuantity;

    /** 高峰电量 */
    @Excel(name = "高峰电量(kWh)")
    private String peakQuantity;

    /** 平峰电量 */
    @Excel(name = "平峰电量(kWh)")
    private String normalQuantity;

    /** 低谷电量 */
    @Excel(name = "低谷电量(kWh)")
    private String valleyQuantity;

    /** 总用电费用 */
    @Excel(name = "总用电费用(元)")
    private String totalElecCost;

    // 构造函数
    public ElecConsumptionExportVO() {}

    public ElecConsumptionExportVO(String objName, String statisticTime,
        String totalElecQuantity, String sharpPeakQuantity, String peakQuantity,
        String normalQuantity, String valleyQuantity, String totalElecCost) {
        this.objName = objName;
        this.statisticTime = statisticTime;
        this.totalElecQuantity = totalElecQuantity;
        this.sharpPeakQuantity = sharpPeakQuantity;
        this.peakQuantity = peakQuantity;
        this.normalQuantity = normalQuantity;
        this.valleyQuantity = valleyQuantity;
        this.totalElecCost = totalElecCost;
    }

    // Getter and Setter methods
    public String getObjName() {
        return objName;
    }

    public void setObjName(String objName) {
        this.objName = objName;
    }

    public String getStatisticTime() {
        return statisticTime;
    }

    public void setStatisticTime(String statisticTime) {
        this.statisticTime = statisticTime;
    }

    public String getTotalElecQuantity() {
        return totalElecQuantity;
    }

    public void setTotalElecQuantity(String totalElecQuantity) {
        this.totalElecQuantity = totalElecQuantity;
    }

    public String getSharpPeakQuantity() {
        return sharpPeakQuantity;
    }

    public void setSharpPeakQuantity(String sharpPeakQuantity) {
        this.sharpPeakQuantity = sharpPeakQuantity;
    }

    public String getPeakQuantity() {
        return peakQuantity;
    }

    public void setPeakQuantity(String peakQuantity) {
        this.peakQuantity = peakQuantity;
    }

    public String getNormalQuantity() {
        return normalQuantity;
    }

    public void setNormalQuantity(String normalQuantity) {
        this.normalQuantity = normalQuantity;
    }

    public String getValleyQuantity() {
        return valleyQuantity;
    }

    public void setValleyQuantity(String valleyQuantity) {
        this.valleyQuantity = valleyQuantity;
    }

    public String getTotalElecCost() {
        return totalElecCost;
    }

    public void setTotalElecCost(String totalElecCost) {
        this.totalElecCost = totalElecCost;
    }
}